/**
* DevExtreme (ui/pivot_grid.d.ts)
* Version: 19.1.4 (build 19186-1854)
* Build date: Fri Jul 05 2019
*
* Copyright (c) 2012 - 2019 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxPivotGrid(): JQuery;
    dxPivotGrid(options: "instance"): DevExpress.ui.dxPivotGrid;
    dxPivotGrid(options: string): any;
    dxPivotGrid(options: string, ...params: any[]): any;
    dxPivotGrid(options: DevExpress.ui.dxPivotGridOptions): JQuery;
}
}
export default DevExpress.ui.dxPivotGrid;
export type Options = DevExpress.ui.dxPivotGridOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxPivotGridOptions;